from pydantic import BaseModel
from typing import Optional


class Token(BaseModel):
    """
    Schema for the token response.
    """

    access_token: str
    token_type: str


class TokenPayload(BaseModel):
    """
    Schema for the token payload.
    """

    sub: Optional[int] = None
